D-Bus 1.12.4

Data Fields
DBusFreedElement Struct Reference
D-Bus secret internal implementation details » Memory pool implementation details

struct representing an element on the free list. More...

## Data Fields
DBusFreedElement * | next
| next element of the free list

## Detailed Description

struct representing an element on the free list.

We just cast freed elements to this so we can make a list out of them.

Definition at line 61 of file dbus-mempool.c.

## Field Documentation

## ◆ next

DBusFreedElement* DBusFreedElement::next

next element of the free list

Definition at line 63 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), and _dbus_mem_pool_dealloc().

The documentation for this struct was generated from the following file:

- dbus-mempool.c